﻿var categories = {
  mastercategories: [
    {
      index: 0,
      description: 'OBCLPM Service APIs use HTTP verbs and a RESTful endpoint structure. Request and response payloads are formatted as JSON.\n\nOBCLPM Service API can be accessed using the following URL format\n\nhttp://host-name:port/{servicename}/{resource}/{resource-specific-parameters}\n-    Host name is the domain.\n-    The resource represents one of the OBCLPM REST resources. \n-    The resource-specific part of the URL specifies the actual resource being referenced.\n\n',
      name: 'Overview',
    },
    {
      index: 1,
      description: '',
      name: 'obclpm-loanapplication-services',
    },
    {
      index: 2,
      description: '',
      name: 'obclpm-syndicationapplication-services',
    },
    {
      index: 3,
      description: '',
      name: 'obclpm-businessprocess-services',
    },
    {
      index: 4,
      description: '',
      name: 'obclpm-businessproduct-services',
    },
    {
      index: 5,
      description: '',
      name: 'obclpm-applicationmaintenance-services',
    },
    {
      index: 6,
      description: '',
      name: 'obclpm-cmc-party-services',
    },
    {
      index: 7,
      description: '',
      name: 'obclpm-conditionsubsequent-services',
    },
    {
      index: 8,
      description: '',
      name: 'obclpm-covenants-services',
    },
    {
      index: 9,
      description: '',
      name: 'obclpm-backoffice-services',
    },
    {
      index: 10,
      description: '',
      name: 'obclpm-handoff-services',
    },
    {
      index: 11,
      description: '',
      name: 'obclpm-orchestration-services',
    },
    {
      index: 12,
      description: '',
      name: 'obclpm-party-services',
    },
    {
      index: 13,
      description: '',
      name: 'obclpm-transactionorchestrator-services',
    },
  ],
};
var subCategories = {
  list: [
    {
      index: 1,
      yaml: 'loanapplicationserviceapi.yaml',
      description: 'This is the API for LoanApplication Operations. This function is used to create different categories of loan application, update the different data segments for the specified loan application number.',
      parentcategory: 'obclpm-loanapplication-services',
      displayName: 'Loan Application Service API',
    },
    {
      index: 1,
      yaml: 'loanapplication.yaml',
      description: 'This is the API for LoanApplication Operations. This function is used to create different categories of loan application, update the different data segments for the specified loan application number.',
      parentcategory: 'obclpm-loanapplication-services',
      displayName: 'Loan Application',
    },
    {
      index: 2,
      yaml: 'syndicationapplicationserviceapi.yaml',
      description: 'This is the API for SyndicationApplication Operations. This function is used to create different categories of syndication application, update the different data segments for the specified syndication application number.',
      parentcategory: 'obclpm-syndicationapplication-services',
      displayName: 'Syndication Application service API',
    },
    {
      index: 2,
      yaml: 'syndicationapplication.yaml',
      description: 'This is the API for SyndicationApplication Operations. This function is used to create different categories of syndication application, update the different data segments for the specified syndication application number.',
      parentcategory: 'obclpm-syndicationapplication-services',
      displayName: 'Syndication Application',
    },
    {
      index: 3,
      yaml: 'businessprocess_serviceapi.yaml',
      description: 'This is the API for Business Process Operations. These apis can be used to get all the approved business processes and to get all data segments of the process corresponding to given product  and life cycles codes.',
      parentcategory: 'obclpm-businessprocess-services',
      displayName: 'Business Process Service',
    },
    {
      index: 3,
      yaml: 'businessprocess_webapi.yaml',
      description: 'This is the API for Business Process Operations. These apis can be used to get all the approved business processes and to get all data segments of the process corresponding to given product  and life cycles codes.',
      parentcategory: 'obclpm-businessprocess-services',
      displayName: 'Business Process Web API',
    },
    {
      index: 1,
      yaml: 'businessproduct_serviceapi.yaml',
      description: 'This is the API for Business Process Operations. These apis can be used to get all the approved business products and to get all back office products mapped to given  business product code.',
      parentcategory: 'obclpm-businessproduct-services',
      displayName: 'Business Product Service API',
    },
    {
      index: 1,
      yaml: 'businessproduct_webapi.yaml',
      description: 'This is the API for Business Process Operations. These apis can be used to get all the approved business products and to get all back office products mapped to given  business product code.',
      parentcategory: 'obclpm-businessproduct-services',
      displayName: 'Business Product Web API',
    },
    {
      index: 1,
      yaml: 'applicationmaintenance_serviceapi.yaml',
      description: 'This is the API for Application Maintenance Operations. These apis can be used to get all the approved lifecycle codes.',
      parentcategory: 'obclpm-applicationmaintenance-services',
      displayName: 'Application Maintenance Service API',
    },
    {
      index: 1,
      yaml: 'applicationmaintenance.yaml',
      description: 'This is the API for Application Maintenance Operations. These apis can be used to get all the approved lifecycle codes.',
      parentcategory: 'obclpm-applicationmaintenance-services',
      displayName: 'Application Maintenance',
    },
    {
      index: 1,
      yaml: 'partymaintenance.yaml',
      description: 'This is the API for CMC Party Operations.',
      parentcategory: 'obclpm-cmc-party-services',
      displayName: 'Party Services',
    },
    {
      index: 1,
      yaml: 'conditionsubsequent.yaml',
      description: 'This is the API for Condition subsequet Operations.',
      parentcategory: 'obclpm-conditionsubsequent-services',
      displayName: 'Condition Subsequent Services',
    },
    {
      index: 1,
      yaml: 'covenantsservice.yaml',
      description: 'This is the API for Covenants Operations.',
      parentcategory: 'obclpm-covenants-services',
      displayName: 'Covenents Services',
    },
    {
      index: 1,
      yaml: 'backofficeservice.yaml',
      description: 'This is the API for Backoffice Operations. It is used to talk to backoffice service to get the product details',
      parentcategory: 'obclpm-backoffice-services',
      displayName: 'Backoffice Services',
    },
    {
      index: 1,
      yaml: 'handoffservice.yaml',
      description: 'This is the API for Handoff Operations.',
      parentcategory: 'obclpm-handoff-services',
      displayName: 'Handoff Services',
    },
    {
      index: 1,
      yaml: 'orchestrationservice.yaml',
      description: 'This is the API for Orchestration Operations.',
      parentcategory: 'obclpm-orchestration-services',
      displayName: 'Orchestration Services',
    },
    {
      index: 1,
      yaml: 'partyapplication.yaml',
      description: 'This is the API for Party Operations. These apis can be used to get all party details.',
      parentcategory: 'obclpm-party-services',
      displayName: 'Party Services',
    },
    {
      index: 1,
      yaml: 'applicationtransactionmaster.yaml',
      description: 'This is the API for application Transactionorchestrator Operations.',
      parentcategory: 'obclpm-transactionorchestrator-services',
      displayName: ' Application Transactionorchestrator Services',
    },
    {
      index: 1,
      yaml: 'applicationinvitationstatus.yaml',
      description: 'This is the API for Application invitation Operations.',
      parentcategory: 'obclpm-transactionorchestrator-services',
      displayName: 'Application Invitation Status',
    },
    {
      index: 1,
      yaml: 'applicationmilestone.yaml',
      description: 'This is the API for Application milestone Operations.',
      parentcategory: 'obclpm-transactionorchestrator-services',
      displayName: 'Application Milestone',
    },
    {
      index: 1,
      yaml: 'dashboards.yaml',
      description: 'This is the API for Dashboard Operations.',
      parentcategory: 'obclpm-transactionorchestrator-services',
      displayName: 'Dashboard Services',
    },
    {
      index: 1,
      yaml: 'transactionorchestrator.yaml',
      description: 'This is the API for Transactionorchestrator Operations.',
      parentcategory: 'obclpm-transactionorchestrator-services',
      displayName: 'Transactionorchestrator Services',
    },
    {
      index: 1,
      yaml: 'widgetfilterpreference.yaml',
      description: 'This is the API for filtering the widget preference Operations.',
      parentcategory: 'obclpm-transactionorchestrator-services',
      displayName: 'Widgetfilterpreference Services',
    },
  ],
};
